This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 853689 - (libmateui) Review Request: libmateui - Libraries for MATE Desktop UI
Review Request: libmateui - Libraries for MATE Desktop UI
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MATE-DE-tracker
  Show dependency treegraph
 
Reported: 2012-09-02 03:08 EDT by Dan Mashal
Modified: 2012-09-25 12:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 12:39:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Mashal 2012-09-02 03:08:09 EDT
Spec URL: http://vicodan.fedorapeople.org/matespec/libmateui.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/libmateui-1.4.0-1.fc17.src.rpm
Description: Libraries for MATE Desktop UI
Comment 1 Rex Dieter 2012-09-15 20:24:10 EDT
Initial review:

naming: ok

sources: ok
c48f2213a0511c60c8811af503c60337  libmateui-1.4.0.tar.xz

scriptlets: not ok

1. MUST add ldconfig scriptlets to main pkg
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

2. -devel pkg dep on main MUST be arch'd use
Requires: %{name}%{?_isa} = %{version}-%{release}

3. SHOULD move
%{_datadir}/gtk-doc/html/libmateui/
to -devel

license: not ok

4. MUST set license tag
License: LGPLv2+
and include
%doc COPYING.LIB
in main pkg

5. MUST remove unneeded
BuildRequires: gtk+-devel
Comment 2 Dan Mashal 2012-09-15 22:10:20 EDT
Fixed:

Spec URL: http://vicodan.fedorapeople.org/matespec/libmateui.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/libmateui-1.4.0-2.fc17.src.rpm
Description: Libraries for MATE Desktop UI
Comment 3 Rex Dieter 2012-09-16 13:27:32 EDT
excellent, new srpm looks good, APPROVED.
Comment 4 Dan Mashal 2012-09-18 12:13:00 EDT
New Package SCM Request
=======================
Package Name: libmateui
Short Description: Libraries for MATE Desktop ui
Owners: vicodan rdieter
Branches: f16 f17 f18
Comment 5 Jon Ciesla 2012-09-18 12:23:29 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-09-19 21:48:55 EDT
libmateui-1.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libmateui-1.4.0-2.fc17
Comment 7 Fedora Update System 2012-09-19 21:49:05 EDT
libmateui-1.4.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libmateui-1.4.0-2.fc18
Comment 8 Fedora Update System 2012-09-21 20:11:25 EDT
libmateui-1.4.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-09-25 12:39:25 EDT
libmateui-1.4.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.